package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItemdiscountQueryactivityRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryactivityRequest) SetParam0(v domain.AlibabaWdkMarketingItemdiscountQueryactivityCommonActivityParam) *AlibabaWdkMarketingItemdiscountQueryactivityRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingItemdiscountQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItemdiscountQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
